<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.message.mapper.MessageTemplateEventDetailMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.message.pojo.entity.MessageTemplateEventDetailEntity">
            <id column="id" property="id" />
            <result column="template_event_id" property="templateEventId" />
            <result column="template_event_name" property="templateEventName" />
            <result column="template_detail_type" property="templateDetailType" />
            <result column="message_title" property="messageTitle" />
            <result column="message_centent" property="messageCentent" />
            <result column="callback_url" property="callbackUrl" />
            <result column="template_icon" property="templateIcon" />
            <result column="template_tag" property="templateTag" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, template_event_id, template_event_name, template_icon,template_tag,template_detail_type, message_title, message_centent, callback_url, remark,<include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
